Create checkpoint permissions
curl --request POST \
--url https://api.openai.com/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_ids": [
"<string>"
]
}
'import requests
url = "https://api.openai.com/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions"
payload = { "project_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_ids: ['<string>']})
};
fetch('https://api.openai.com/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"created_at": 123,
"project_id": "<string>",
"object": "checkpoint.permission"
}
],
"object": "list",
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}Fine-tuning
Create checkpoint permissions
NOTE: Calling this endpoint requires an admin API key.
This enables organization owners to share fine-tuned models with other projects in their organization.
POST
/
fine_tuning
/
checkpoints
/
{fine_tuned_model_checkpoint}
/
permissions
Create checkpoint permissions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the fine-tuned model checkpoint to create a permission for.
Example:
"ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd"
Body
application/json
The project identifiers to grant access to.
Was this page helpful?
⌘I